Subject: Re: Patch resubmission: RFC2863 operstatus for 2.5.49

From: Stefan Rompf <[email-masked]>
Date: Wed, 04 Dec 2002 00:04:09 +0100

Hi Jamal,

> Just thought of something, it may be a little tricky but valuable and
> i am not quiet sure if it should part of your patch: We probably need to
> flush the qdiscs software queues; maybe even the DMA ring i.e simulate
> admin down followed by admin up.

dev_close() is doing quite a lot of stuff, so we should do nothing more
than flush the qdiscs when the link comes up. But is it really useful?
Normally, the queues are short anyway to keep latencies low, and fifty
additional packets don't hurt. I rather think about clearing neighbor
tables and the route cache whenever the operstatus goes down.

Anyway, implementation and usage of the notification should not mix up,
so it let it be a separate patch.

Stefan